Bug 555246 - mkqdisk debug option (-d) specified position
mkqdisk debug option (-d) specified position
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-14 00:38 EST by Tatsuo Kawasaki
Modified: 2011-01-13 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version: cman-2.0.115-63.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 561415 (view as bug list)
Environment:
Last Closed: 2011-01-13 17:31:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.01 KB, patch)
2010-01-14 00:38 EST, Tatsuo Kawasaki
no flags Details | Diff

  None (edit)
Description Tatsuo Kawasaki 2010-01-14 00:38:24 EST
Created attachment 383613 [details]
patch

Description of problem:

mkqdisk debug option (-d) doesn't work after -L option.

Work
 mkqdisk -d -L

Also should be work
 mkqdisk -L -d 


Steps.
mkqdisk -L -d

Actual results:
mkqdisk v0.6.0
/dev/disk/by-id/scsi-S_beaf11-part2:
/dev/disk/by-path/ip-172.17.108.254:3260-iscsi-iqn.2009-10.com.example.cluster8:iscsi-lun-1-part2:
/dev/sda2:
	Magic:                eb7a62c2
	Label:                myqdisk
	Created:              Fri Jan  8 11:03:01 2010
	Host:                 node1.cluster8.example.com
	Kernel Sector Size:   512
	Recorded Sector Size: 512


Expected results:
mkqdisk v0.6.0
/dev/disk/by-id/scsi-S_beaf11-part2:
/dev/disk/by-path/ip-172.17.108.254:3260-iscsi-iqn.2009-10.com.example.cluster8:iscsi-lun-1-part2:
/dev/sda2:
	Magic:                eb7a62c2
	Label:                myqdisk
	Created:              Fri Jan  8 11:03:01 2010
	Host:                 node1.cluster8.example.com
	Kernel Sector Size:   512
	Recorded Sector Size: 512

Status block for node 1
	Last updated by node 1
	Last updated on Wed Jan 13 18:38:23 2010
	State: Master
	Flags: 0000
	Score: 0/0
	Average Cycle speed: 0.000000 seconds
	Last Cycle speed: 0.000000 seconds
	Incarnation: 4b4d7d2f4b4d7d2f
Status block for node 2
	Last updated by node 2
	Last updated on Wed Jan 13 18:38:22 2010
	State: Running
	Flags: 0000
	Score: 0/0
	Average Cycle speed: 0.000166 seconds
	Last Cycle speed: 0.000000 seconds
	Incarnation: 4b4d7db24b4d7db2
Status block for node 3
	Last updated by node 3
	Last updated on Wed Jan 13 18:38:22 2010
	State: Running
	Flags: 0000
	Score: 0/0
	Average Cycle speed: 0.000166 seconds
	Last Cycle speed: 0.000000 seconds
	Incarnation: 4b4c181c4b4c181c
Status block for node 4
	Last updated by node 4
	Last updated on Wed Jan 13 18:38:23 2010
	State: Running
	Flags: 0000
	Score: 0/0
	Average Cycle speed: 0.000333 seconds
	Last Cycle speed: 0.000000 seconds
	Incarnation: 4b4c181b4b4c181b


Additional info:
I attached rough patch for fix this problem.
Comment 1 Lon Hohberger 2010-02-12 14:49:29 EST
This is now in STABLE3 and will be in the next cluster release (v3.08).

This patch has not yet been applied to the RHEL55 branch.

http://git.fedorahosted.org/git/?p=cluster.git;a=commit;h=1e0a66900d7444444c73ebcc1fdabe42ff5e138e
Comment 4 Nate Straz 2010-10-04 16:31:15 EDT
Debugging messages are getting printed out during mkqdisk -L with 
cman-2.0.115-61.el5.


[root@dash-01 sbin]# mkqdisk -L
mkqdisk v0.6.0
qdisk_validate: open of /dev/cdrom for RDWR failed: No medium found
qdisk_verify: No medium found
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop0 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop1 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop2 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop3 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop4 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop5 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop6 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/loop7 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument
open_partition: seek: Invalid argument
qdisk_validate: open of /dev/md0 for RDWR failed: Invalid argument
qdisk_verify: Invalid argument


Looking at the patch attached to this BZ and the git change, the close(2) was removed instead of moved.
Comment 5 Lon Hohberger 2010-11-05 11:04:04 EDT
http://git.fedorahosted.org/git?p=cluster.git;a=commit;h=5b5c8300ef6f8c8d2105baba7379607d45ce1d84

Updated patch, with new and improved close(2).
Comment 6 Lon Hohberger 2010-11-08 10:14:49 EST
Output should look approximately like this:

[root@rhel5-1 qdisk]# ./mkqdisk -L -dddddddddddddddddddddddd
mkqdisk v0.6.0
/dev/disk/by-id/scsi-1IET_00010001-part1:
/dev/disk/by-path/ip-192.168.122.1:3260-iscsi-iqn.2010-10.com.redhat.lhh:ayanami.rhel5-1-lun-1-part1:
/dev/sda1:
        Magic:                eb7a62c2
        Label:                rhel5
        Created:              Wed Oct 27 15:31:59 2010
        Host:                 rhel5-1.lhh.pvt
        Kernel Sector Size:   512
        Recorded Sector Size: 512

Status block for node 1
        Last updated by node 1
        Last updated on Fri Nov  5 11:25:57 2010
        State: Running
        Flags: 0000
        Score: 0/0
        Average Cycle speed: 0.000833 seconds
        Last Cycle speed: 0.000000 seconds
        Incarnation: 4cd054de4cd054de
Status block for node 2
        Last updated by node 2
        Last updated on Fri Nov  5 11:25:57 2010
        State: Master
        Flags: 0000
        Score: 0/0
        Average Cycle speed: 0.000500 seconds
        Last Cycle speed: 0.000000 seconds
        Incarnation: 4ccf5ae54ccf5ae5
[root@rhel5-1 qdisk]# ./mkqdisk -dddddddddddddddddddddddd -L
mkqdisk v0.6.0
/dev/disk/by-id/scsi-1IET_00010001-part1:
/dev/disk/by-path/ip-192.168.122.1:3260-iscsi-iqn.2010-10.com.redhat.lhh:ayanami.rhel5-1-lun-1-part1:
/dev/sda1:
        Magic:                eb7a62c2
        Label:                rhel5
        Created:              Wed Oct 27 15:31:59 2010
        Host:                 rhel5-1.lhh.pvt
        Kernel Sector Size:   512
        Recorded Sector Size: 512

Status block for node 1
        Last updated by node 1
        Last updated on Fri Nov  5 11:26:05 2010
        State: Running
        Flags: 0000
        Score: 0/0
        Average Cycle speed: 0.001000 seconds
        Last Cycle speed: 0.000000 seconds
        Incarnation: 4cd054de4cd054de
Status block for node 2
        Last updated by node 2
        Last updated on Fri Nov  5 11:26:05 2010
        State: Master
        Flags: 0000
        Score: 0/0
        Average Cycle speed: 0.000666 seconds
        Last Cycle speed: 0.000000 seconds
        Incarnation: 4ccf5ae54ccf5ae5
[root@rhel5-1 qdisk]# ./mkqdisk -L
mkqdisk v0.6.0
/dev/disk/by-id/scsi-1IET_00010001-part1:
/dev/disk/by-path/ip-192.168.122.1:3260-iscsi-iqn.2010-10.com.redhat.lhh:ayanami.rhel5-1-lun-1-part1:
/dev/sda1:
        Magic:                eb7a62c2
        Label:                rhel5
        Created:              Wed Oct 27 15:31:59 2010
        Host:                 rhel5-1.lhh.pvt
        Kernel Sector Size:   512
        Recorded Sector Size: 512
Comment 7 Dean Jansa 2010-11-22 18:04:43 EST
Lon -- 

-d doesn't seem to change the output at all now:


[root@marathon-01 ~]# rpm -q cman
cman-2.0.115-63.el5

[root@marathon-01 ~]# mkqdisk -L
mkqdisk v0.6.0
/dev/disk/by-id/scsi-3600d0230000000000be15469dc0a4500-part1:
/dev/disk/by-path/pci-0000:04:00.0-fc-0x210000d023abe154:0x0001000000000000-part1:
/dev/sdb1:
	Magic:                eb7a62c2
	Label:                FOO
	Created:              Mon Nov 22 17:00:20 2010
	Host:                 marathon-01
	Kernel Sector Size:   512
	Recorded Sector Size: 512

[root@marathon-01 ~]# mkqdisk -dd -L
mkqdisk v0.6.0
/dev/disk/by-id/scsi-3600d0230000000000be15469dc0a4500-part1:
/dev/disk/by-path/pci-0000:04:00.0-fc-0x210000d023abe154:0x0001000000000000-part1:
/dev/sdb1:
	Magic:                eb7a62c2
	Label:                FOO
	Created:              Mon Nov 22 17:00:20 2010
	Host:                 marathon-01
	Kernel Sector Size:   512
	Recorded Sector Size: 512

[root@marathon-01 ~]# mkqdisk -L -dd
mkqdisk v0.6.0
/dev/disk/by-id/scsi-3600d0230000000000be15469dc0a4500-part1:
/dev/disk/by-path/pci-0000:04:00.0-fc-0x210000d023abe154:0x0001000000000000-part1:
/dev/sdb1:
	Magic:                eb7a62c2
	Label:                FOO
	Created:              Mon Nov 22 17:00:20 2010
	Host:                 marathon-01
	Kernel Sector Size:   512
	Recorded Sector Size: 512
Comment 11 errata-xmlrpc 2011-01-13 17:31:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0036.html

Note You need to log in before you can comment on or make changes to this bug.